Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 207311 - CONFIG["site*"] do not use DESTDIR
Summary: CONFIG["site*"] do not use DESTDIR
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-20 16:34 UTC by David Lutterkort
Modified: 2013-04-30 23:40 UTC (History)
1 user (show)

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-08 17:09:48 UTC


Attachments (Terms of Use)

Description David Lutterkort 2006-09-20 16:34:41 UTC
In RHEL4, the following entries in Config::CONFIG in rbconfig depended on
DESTDIR; in the latest rawhide ruby they don't anymore. That makes it almost
impossible to use certain install.rb scripts from a specfile.

The entries that should once again depend on DESTDIR are sitelibdir and
sitearchdir (and with that probably _fc_sitedir)

This bug also affects older versions of FC, especially FC5. A fix to this should
also fix all active FC branches, so that specfiles can run install.rb across all
active branches

Comment 1 Akira TAGOH 2006-09-26 12:02:44 UTC
should be fixed in 1.8.5-2.fc6.


Note You need to log in before you can comment on or make changes to this bug.